using System.Web;
using System.Web.Routing;

namespace RoutingDeneme.RouteConstraint
{
    public class TestConstraint : IRouteConstraint //Burada IRouteConstraint'ten Implemantation alıyoruz.
    {
        //Match metodu, istediğimiz şekilde doğrulamalrı yapıp, geriye True ya da False döndürüyor,
        //dönen sonuca göre Url eşleşmesi sağlanıyor, ya da sağlanmıyor.
        public bool Match(HttpContextBase httpContext, Route route, string parameterName, RouteValueDictionary values, RouteDirection routeDirection)
        {
            //Örneğimizde, kullanıcının oturum açıp, açmadığını kontrol edeceğiz.
            if (httpContext.Request.IsAuthenticated)
            {
                return true;
            }
            else
            {
                return false;
            }

        }
    }
}